Welcome to MegaLabel Software

 Top Next

MegaLabel is a user-friendly, yet feature rich WYSIWYG label design software to facilitate and simplify label creation, editing and printing procedures for all industry sectors. Plus, it is a freeware and you can use it for any commercial or non-commercial purposes without paying licensing fees.

A few major features are listed below:

·Supports about 100 barcode types, 52 international languages, and over 1000 label templates.

·Supports Unicode text.

·Supports all Laser, Inkjet and Thermal printers.

·Pre-loaded image and icon galleries.

·Allows users to create and save any custom label template.

·Supports data source bundled with a CSV file and one of major database engines via OLE DB and ODBC, including Access, Excel, SQL Server, ORACLE, FoxPro, and dBase. A CSV and database configuration wizard is implemented.

·Labels may include barcode, line, oval, picture, rectangle, and text objects.

·Text source may be a fixed string, an incremental value, a date string, a time string, a prompted value, a field in a database table, an option from a fixed value list or a field value list for a database table.

·The settings of the label editing area are configurable, they include grid line style, grid color, editing area background color, ruler background color, ruler fore color, ruler cursor color, label border color, and object marker shape, color and filling options.

·Allows users to configure the maximum number of recent files and the maximum length of recent file name.


Installation

 Top Previous Next

Follow the instructions listed below to do the installation, all external link files are provided by Microsoft and Oracle for free and you can go to their websites to get them for free.

1)If your computer is running Vista or above, simply go to the step 4.

2)For 32-bit version Windows, download dotnetfx.exe from the following link to install free 32-bit version .NET Framework, then go to the step 4.

http://www.mw6tech.com/megalabel/external_files/dotnetfx.exe

3)For 64-bit version Windows, download NetFx64.exe from the following link to install free 64-bit version .NET Framework, then go to the step 4.

http://www.mw6tech.com/megalabel/external_files/NetFx64.exe

4)Unzip MegaLabel.zip and run Setup.exe to install MegaLabel software.

5)If you want to connect MegaLabel to a dBase, Access, Excel, or CSV file, download AccessDatabaseEngine.exe from the following link to install free Microsoft Access Database Engine 2010.

http://www.mw6tech.com/megalabel/external_files/AccessDatabaseEngine.exe

6)If you want to connect MegaLabel to a FoxPro database file, download VFPOLEDBSetup.msi from the following link to install free Microsoft OLE DB Provider for Visual FoxPro 9.0.

http://www.mw6tech.com/megalabel/external_files/VFPOLEDBSetup.msi

7)If you want to connect MegaLabel to an Oracle database, download OracleEngine.zip from the following link, unzip it and run setup.exe to install free Oracle Data Access Components.

http://www.mw6tech.com/megalabel/external_files/OracleEngine.zip

8)The demo version software randomly inserts a "demo" string into text fields when previewing or printing label(s), and it will never expire.


Install Oracle Data Access Components

Follow the instructions listed below to install Oracle Data Access Components (ODAC).

1)Unzip the package and run setup.exe to do the installation and click the "Next" button.

2)Choose the "Oracle Data Access Components for Oracle Client 11.2.0.3.20" option and click the "Next" button.

3)Configure the "Install Location" and click the "Next" button.

4)Only select "Oracle Data Provider for NET 11.2.0.3.20", "Oracle Provider for OLE DB 11.2.0.3.20", "Oracle Objects for OLE 11.2.0.3.20" and "Oracle Instant Client 11.2.0.3.20" and click the "Next" button.

5)Click the "Install" button.

6)The installation process begins.

7)Click the "Exit" button to finish the installation.


Software Options

Follow the instructions listed below to change the application level options.

1)First open up the MegaLabel software, click "Tools" > "Options" to open up the "Options" window.

2)Inside the "General Settings" tab, you may change the settings for label editing area and rulers.

3)You may choose an icon for label object's border markers by clicking the "Select" button.

4)Choose an icon from the "Icon Gallery" or select an icon file, the selected icon will appear inside the label editing area when selecting the object(s).

5)You may choose a specific geometry shape as label object's border markers

6)The selected geometry shape will appear inside the label editing area when selecting the object(s).

7)Inside the "Languages" tab, you may choose your preferred language, you have to close down and re-open the application in order to let new language setting go into effect.

8)Inside the "Recent Files" tab, you may specify the maximum number of recent files and the maximum length of file name.


Create A Label

To open up the "Label Setup" dialog, you may click New from the toolbar or click "File" > "New" from the top menu or simply press Ctrl + N from keyboard.


General Settings

Follow the instructions listed below to customize the general settings.

1)Inside the "General Settings" tab, enter a value for the "Label Title" text field, choose a printer from the printer list, you may click the"Properties" button to configure your selected printer, choose label printing sequence option and specify the number of printed labels.


Label Format

Follow the instructions here to customize the label format.

1)Inside the "Label Format" tab, you may pick a pre-defined label template or create a custom label template by clicking the "Add" button.

2)Enter a description and pick a page size option for the newly created custom label template.

3)You may choose a custom page size instead of a pre-defined page size, this feature is very convenient for printing continuous roll labels. For example, the width and height of each label are 2 inches and 1.5 inches respectively, the space between 2 adjacent labels is 0.15 inch, so the page size is 2 inches X 1.65 inches, choose the "Custom Size" option, which is the last one, from the "Page Type" drop-down list, enter 2.000 and 1.650 into the "Page Width" and "Page Height" fields, and then click the "Ok" button.

4)In order to print labels correctly, please configure the selected printer's settings to use correct page width and height. Click the "Start" button > "Devices and Printers", right-click the selected printer, and then click the "Printing preferences", change the size by entering correct values there, in this case, they are 2.000 and 1.650 respectively.

5)You may change the values for "Label Width", "Label Height", "Left Margin", "Top Margin", "Spacing (x)", "Spacing (y)", "Columns" and "Rows" to meet your labeling requirements, you may also choose a different option for the "Measurement Unit" or change the "Description" by entering a new value and pressing the Enter key. If you use continuous roll labels, set both "Columns" and "Rows" to 1.


Database

Follow the instructions here to customize the database configuration.

1)Click the "Configure" button to open up the database configuration wizard.

2)For Access, Excel, dBase, FoxPro, or CSV file, click the "Browser" button to choose a database or CSV file, if a password is required to open the file, you have to enter a value into the "Password" text field, and then click the "Test Connection" button to test the database connection.

3)If the database connectivity is based on the ODBC mechanism, choose the "ODBC DSN" from the type list, enter the values for the "DSN", "User ID" and "Password" text fields, and then click the "Test Connection" button to test the database connection.

4)If you want to connect to SQL Server or ORACLE database server directly, you have to enter the values for the "Server", "Database" fields, choose one option from the "Authentication" option list, if the "Database Authentication" option is chosen, you have to enter the values for the "User ID" and "Password" text fields, after all these things are done, click the "Test Connection" button to test the database connection.

5)If the database connection is valid, click the "Next Step" button to go to the next window, choose a table from the "Database Table" list, move a few table fields which will be bound to the "Text Value" property of label objects in the label to the "Selected Fields" list. You may also choose to manually enter a SQL statement to create a data source, click the "Test" button to validate the SQL statement.

6)If a CSV file is used to create the data source, you may choose a delimiter from the "Delimiter" list or configure the "Fixed Length" option to parse the CSV file.

7)Click the "Next Step" button for either database or CSV connection to go to the next window, at any time, you may click the "Previous Step" button to modify the settings.

8)Click the "Finish" button to finish the database connection wizard.


Barcode

Follow the instructions listed below to insert a "Barcode" object into the label.

1)You may click Barcode from the toolbar or click "Object" > "Barcode" from the top menu to insert a "Barcode" object into the label.

2)Inside the "Barcode" object area, right-click the mouse and click the "Properties" menu.

3)Inside the "General Settings" tab, you may change the values of the parameters, including dimension size, rotation, barcode color, background color, and barcode category.

4)If you choose "1D" barcode category, you may change the values of the parameters, including barcode type, bar height, narrow bar width, add-check-digit-or-not, display-text-or-not, and barcode text font.

5)If you choose "2D" barcode category, you may change the values of the parameters, including barcode type, module size, and sub parameters for each specific 2D barcode.

6)If you choose "GS1" barcode category, you may change the values of the parameters, including barcode type, narrow bar width, display-text-or-not and barcode text font.

7)For the "Text Value" tab, please refer to this section.

8)After you feel comfortable with the settings, you may click the "Ok" button to confirm the changes.


Line

Follow the instructions listed below to insert a "Line" object into the label.

1)You may click Line from the toolbar or click "Object" > "Line" from the top menu to insert a "Line" object into the label.

2)Inside the "Line" object area, right-click the mouse and click the "Properties" menu.

3)Inside the "General Settings" tab, you may change the values of the parameters, including dimension size and line direction.

4)For the "Border Style" tab, please refer to this section.


Oval

Follow the instructions listed below to insert an "Oval" object into the label.

1)You may click Oval from the toolbar or click "Object" > "Oval" from the top menu to insert an "Oval" object into the label.

2)Inside the "Oval" object area, right-click the mouse and click the "Properties" menu.

3)Inside the "General Settings" tab, you may change the value of the dimension size.

4)For the "Border Style" tab, please refer to this section.

5)For the "Fill Style" tab, please refer to this section.


Picture

Follow the instructions listed below to insert a "Picture" object into the label.

1)You may click [image] from the toolbar or click "Object" > "Picture" from the top menu to insert a "Picture" object into the label.

2)Inside the "Picture" object area, right-click the mouse and click the "Properties" menu.

3)Inside the "General Settings" tab, you may change the values of the parameters, including dimension size, rotation, mirror options and resizing option.

4)Inside the "Image Source" tab, if you choose a fixed image, simply click the "Select" button to choose an image file.

5)If you bind it to a database table field, selected an image field from the available table fields.

6)If you choose an image from the pre-loaded image gallery, simply click the "Choose Image" button to open up a new window to select your preferred image.


Rectangle

Follow the instructions listed below to insert a "Rectangle" object into the label.

1)You may click Rectangle from the toolbar or click "Object" > "Rectangle" from the top menu to insert a "Rectangle" object into the label.

2)Inside the "Rectangle" object area, right-click the mouse and click the "Properties" menu.

3)Inside the "General Settings" tab, you may change the values of the parameters, including dimension size and rectangle box type. For the complete box type list, please refer to this section.

4)For the "Border Style" tab, please refer to this section.

5)For the "Fill Style" tab, please ref to this section.


Rectangle Box Types

There are 19 rectangle box options:

Title | Sample Image
Rectangle |
Rounded Rectangle |
Rounded Rectangle (Forward Diagonal) |
Rounded Rectangle (Backward Diagonal) |
Rounded Rectangle (Two Top Corners) |
Rounded Rectangle (Two Bottom Corners) |
Big Cross |
4 Corners |
4 Rounded Corners |
Folded Rectangle (Top Left) |
Folded Rectangle (Top Right) |
Folded Rectangle (Bottom Left) |
Folded Rectangle (Bottom Right) |
Truncated Rectangle (Top Left) |
Truncated Rectangle (Top Right) |
Truncated Rectangle (Bottom Left) |
Truncated Rectangle (Bottom Right) |
Truncated Rectangle (Forward Diagonal) |
Truncated Rectangle (Backward Diagonal) |


Text

Follow the instructions listed below to insert a "Text" object into the label.

1)You may click Text from the toolbar or click "Object" > "Text" from the top menu to insert a "Text" object into the label.

2)Inside the "Text" object area, right-click the mouse and click the "Properties" menu.

3)Inside the "General Settings" tab, you may change the values of the parameters, including dimension size, rotation, text type, horizontal and vertical alignments, inverse option, outline option, font, and text color.

4)For the "Text Value" tab, please refer to this section.


Border Style

1)You may change the values of the parameters, including border color, transparent option, border option, and border thickness.

2)A screen shot for an "Oval" object is displayed here after the settings of border style are changed.


Fill Style

1)You may change the values of the parameters, including forecolor, background color, transparent option, and filling option.

2)If you choose the "Image Pattern" for the filling option, you may click the "Select Image" button to choose an image file for the filling pattern.

3)A screen shot for an "Oval" object is displayed here after the settings of fill style are changed.


Text Value

There are 8 options for the "Text Value" type.


Fixed Text

You may enter a fixed text string here.


Number Counter

You may bind the text value to a number counter with the start value and step.


Database

You may bind the text value to a database table field.


User Input

You will be prompted to enter a value when previewing or printing label(s), you may change the configurations for the prompt text, default value, validation option and maximum length of prompted value. If the "Maximum Length" is set to 0, no length restriction will be applied to the prompted value.

For the "Prompt Values" window related to printing or preview, please refer to this section.


Value List (User Input)

You will be prompted to select a value from a value list which is created manually when previewing or printing label(s), you may change the configurations for the prompt text, value list, and default value.

You may click the "Edit" button to edit the value list.

For the "Prompt Values" window related to printing or preview, please refer to this section.


Value List (Database)

You will be prompted to select a value from a value list coming from a database table field when previewing or printing label(s), you may change the prompt text and select a table field, which is used to generate the value list.

For the "Prompt Values" window related to printing or preview, please refer to this section.


Date

You may set the text value to a date string.


Time

You may set the text value to a time string.


Transform Action

You may configure a "Transform" function to apply special treatments for a text value.


Affix

You may configure the "Affix" transformation by specifying the "Prefix" and "Suffix" parameters.


Discard

You may configure the "Discard" transformation by specifying the "Length" and "Start Position" parameters for discarding a string.


LeftPad

You may configure the "LeftPad" transformation by specifying the "Number of Characters" and "Pad Character" parameters for the left-padding operation.


LowerCase

You may choose the "LowerCase" transformation to convert a regular string to a lowercase string.


RightPad

You may configure the "LeftPad" transformation by specifying the "Number of Characters" and "Pad Character" parameters for the right-padding operation.


SubStr

You may configure the "SubStr" transformation by specifying the "Length" and "Start Position" parameters to generate a sub-string.


Trim

You may choose the "Trim" transformation to trim the leading and trailing spaces of a string.


UpperCase

You may choose the "UpperCase" transformation to convert a regular string to a uppercase string.


Prompt Values Window

When printing or previewing label(s) embedded with a few objects, whose text values are set to "User Input", "Value List (User Input)", or "Value List (Database)", a "Prompt Values" window will be fired up.

You may change the values here before printing or previewing label(s).


Commands

 Top Previous

The following table lists the commands inside MegaLabel software.

Command | Comment
·Click New from the toolbar ·Or click "File" > "New" from the top menu ·Or press Ctrl + N from keyboard | Create a new label
·Click Open from the toolbar ·Or click "File" > "Open" from the top menu ·Or click Ctrl + O from keyboard | Open a label layout file
·Click Save from the toolbar ·Or click "File" > "Save" from the top menu ·Or click Ctrl + S from keyboard | Save a label layout file
Click "File" > "Save As" from the top menu | Save current label layout to a different file
Click "File" > "Close" from the top menu | Close current label editing window
·Click [image] from the toolbar ·Or click "File" > "Preview" from the top menu ·Or click Ctrl + R from keyboard | Preview the labels.
·Click Print from the toolbar ·Or click "File" > "Print" from the top menu ·Or click Ctrl + P from keyboard | Print the labels
Click "File" > "Label Setup" from the top menu | View and edit label configurations
Click "File" > "Exit" from the top menu | Close the application
·Click Undo from the toolbar ·Or click "Edit" > "Undo" from the top menu ·Or press Ctrl + Z from keyboard | Undo the last change applied to the label layout
·Click Redo from the toolbar ·Or click "Edit" > "Redo" from the top menu ·Or press Ctrl + Y from keyboard | Reverse the last "Undo" operation
·Click Cut from the toolbar ·Or click "Edit" > "Cut" from the top menu ·Or press Ctrl + X from keyboard | Remove the selected object(s) to the clipboard
·Click Copy from the toolbar ·Or click "Edit" > "Copy" from the top menu ·Or press Ctrl + C from keyboard | Copy the selected object(s) to the clipboard
·Click Paste from the toolbar ·Or click "Edit" > "Paste" from the top menu ·Or press Ctrl + V from keyboard | Copy the object(s) in the clipboard into the label
·Click "Edit" > "Select All" from the top menu ·Or press Ctrl + A from keyboard | Select all object(s) of the label
·Click "Edit" > "Delete" from the top menu ·Or press Del from keyboard | Delete the selected objet(s) from the label
Click "View" > "Regular Size" from the top menu | View the label layout without zooming
Click "View" > "Zoom In (150%)" from the top menu | View the label layout by zooming in (150%)
Click "View" > "Zoom In (200%)" from the top menu | View the label layout by zooming in (200%)
Click "View" > "Zoom In (300%)" from the top menu | View the label layout by zooming in (300%)
Click "View" > "Zoom In (400%)" from the top menu | View the label layout by zooming in (400%)
Click "View" > "Zoom Out (50%)" from the top menu | View the label layout by zooming out (50%)
Click "View" > "Show Grid Lines" from the top menu | Show the grid lines of the label editing area.
Click "View" > "Snap to Grid" from the top menu | Align the selected object(s) to the grid lines
·Click Barcode from the toolbar ·Or click "Object" > "Barcode" from the top menu | Insert a "Barcode" object into the label
·Click Line from the toolbar ·Or click "Object" > "Line" from the top menu | Insert a "Line" object into the label
·Click Oval from the toolbar ·Or click "Object" > "Oval" from the top menu | Insert an "Oval" object into the label
·Click [image] from the toolbar ·Or click "Object" > "Picture" from the top menu | Insert a "Picture" object into the label
·Click Rectangle from the toolbar ·Or click "Object" > "Rectangle" from the top menu | Insert a "Rectangle" object into the label
·Click Text from the toolbar ·Or click "Object" > "Text" from the top menu | Insert a "Text" object into the label
·Click AlignLeft from the toolbar ·Or click "Transform" > "Align Left" from the top menu | Align the selected objects to the left
·Click AlignCenter from the toolbar ·Or click "Transform" > "Align Center" from the top menu | Align the selected objects to the center
·Click AlignRight from the toolbar ·Or click "Transform" > "Align Right" from the top menu | Align the selected objects to the right
·Click AlignTop from the toolbar ·Or click "Transform" > "Align Top" from the top menu | Align the selected objects to the top
·Click AlignMiddle from the toolbar ·Or click "Transform" > "Align Middle" from the top menu | Align the selected objects to the middle
·Click AlignBottom from the toolbar ·Or click "Transform" > "Align Bottom" from the top menu | Align the selected objects to the bottom
·Click DistributeHor from the toolbar ·Or click "Transform" > "Distribute Horizontally" from the top menu | Evenly distribute the selected objects horizontally
·Click DistributeVer from the toolbar ·Or click "Transform" > "Distribute Vertically" from the top menu | Evenly distribute the selected objects vertically
·Click SameWidth from the toolbar ·Or click "Transform" > "Same Width" from the top menu | Make the selected objects share same width
·Click SameHeight from the toolbar ·Or click "Transform" > "Same Height" from the top menu | Make the selected objects share same height
·Click SameSize from the toolbar ·Or click "Transform" > "Same Width and Height" from the top menu | Make the selected objects share same width and height
Click "Transform" > "One Level Down" from the top menu | Move the selected object one level down
Click "Transform" > "One Level Up" from the top menu | Move the selected object one level up
Click "Transform" > "Bottom Level" from the top menu | Move the selected object to the bottom level
Click "Transform" > "Top Level" from the top menu | Move the selected object to the top level
Click "Tools" > "Options" from the top menu | Open up the "Options" window
Click "Window" > "Cascade" from the top menu | Cascade all windows
Click "Window" > "Tile Horizontally" from the top menu | Tile all windows horizontally
Click "Window" > "Tile Vertically" from the top menu | Tile all windows vertically
Click "Window" > "Close All" from the top menu | Close all windows
Click "Help" > "Contents" from the top menu | Open the help documentation file.
Click "Help" > "Brief Information" from the top menu | Get the brief information about the software.